#### Previous topic

scipy.linalg.block_diag

#### Next topic

scipy.linalg.companion

# scipy.linalg.circulant

`scipy.linalg.``circulant`(c)

  Construct a circulant matrix.

  Parameters:

  c : (N,) array_like

  > 1-D array, the first column of the matrix.

  Returns:

  A : (N, N) ndarray

  > A circulant matrix whose first column is c.

  See also

  `toeplitz`
    Toeplitz matrix
  `hankel`
    Hankel matrix

  Notes

  New in version 0.8.0.

  Examples

      >>> from scipy.linalg import circulant
      >>> circulant([1, 2, 3])
      array([[1, 3, 2],
             [2, 1, 3],
             [3, 2, 1]])